Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索集群的集群节点

GET /accounts/{account_id}/topology/v1/clusters/{cluster_id}/clusterNodes/{clusterNode_id}

返回 JSON 响应正文中存储的 Cluster Node API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

cluster_id

string

path

True

包含群集资源的 ID

clusterNode_id

string

path

True

要列出的 clusterNode 集合的 ID

响应

Status: 200, Returns the stored Cluster Node API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-clusterNode"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含指示节点 Kubernetes 名称的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

角色

string

True

包含指示节点的 Kubernetes 角色的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

labels

数组["labels"]

True

JSON 对象的 JSON 数组,每个 JSON 对象都包含与节点关联的 Kubernetes 标签。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

creationTime

string

True

包含指示节点创建时间的 ISO 8601 时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

externalIP

string

True

包含指示节点内部 IP 地址的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

internalIP

string

True

包含指示节点外部 IP 地址的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

区域

string

True

包含指示节点的 Kubernetes 区域的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

区域

string

True

包含指示节点的 Kubernetes 区域的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

instanceType

string

True

包含指示节点的 Kubernetes 实例类型的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

kernelVersion

string

True

包含指示节点使用的内核版本的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

osImage

string

True

包含指示节点使用的操作系统映像的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:254

numCpus

string

True

JSON 字符串包含一个值,该值指示分配给该节点的 CPU 数量。定义的值为:

  • 最小长度:1

  • 最大长度:254

memory

string

True

JSON 字符串包含一个值,该值指示分配给该节点的内存量。定义的值为:

  • 最小长度:1

  • 最大长度:254

状态

string

True

包含指示节点操作状态的值的 JSON 字符串。定义的值为:

  • "running" - 节点正在正常运行

  • "provisioning" - 正在调配节点

  • "discovering" - 节点的各个方面正在被发现过程中

  • "pending" - 节点已安排进行发现

  • "failed" - 节点处于失败状态

  • "unknown" - 无法确定节点的状态

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

响应示例
{
  "type": "application/astra-clusterNode",
  "version": "1.0",
  "id": "5df0e09f-2c30-5b8a-b6b6-4fb4063525e4",
  "name": "test-0",
  "role": "node-role.kubernetes.io/worker",
  "labels": [],
  "creationTime": "2020-09-06T04:35:23.593845Z",
  "externalIP": "192.168.12.44",
  "internalIP": "10.0.1.1",
  "zone": "us-west1-c",
  "region": "us-east1",
  "instanceType": "e2-medium",
  "kernelVersion": "4.18.0-147.0.3.el8_1.x86_64",
  "osImage": "Red Hat Enterprise Linux CoreOS 42.81.20191203.0",
  "numCpus": "2",
  "memory": "67108864Ki",
  "state": "running",
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

labels

名称 Type Required Description

name

string

True

包含标签名称的 JSON 字符串定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^([\S.]{1,253}\/)?([a-z0-9A-Z_.-]){1,63}$"

value

string

True

包含标签值的 JSON 字符串定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^([a-z0-9A-Z_.-]){1,63}$"

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因